import type { ImageSourcePropType } from "react-native";

export const Icons: Record<string, ImageSourcePropType> = {
  transactionCard: require("./transactionCard.png"),
  homeIcon: require("./homeIcon.png"),
  creditCard: require("./creditCard.png"),
  historyIcon: require("./historyIcon.png"),
  searchIcon: require("./searchIcon.png"),
  bottomTransferIcon: require("./bottomTransferIcon.png"),
  filterIcon: require("./filterIcon.png"),
  qrIcon: require("./qrIcon.png"),
  ambaLogo: require("./ambaLogo.png"),
  activityIcon: require("./activityIcon.png"),
  coinIcon: require("./coinIcon.png"),
  copyIcon: require("./copyIcon.png"),
  moneyIcon: require("./moneyIcon.png"),
  profileImage: require("../images/profileImage.png"),
  qrImage: require("../images/qrImage.png"),
  filterBar: require("./filterBar.png"),
  ticketIcon: require("./ticketIcon.png"),
  mainAmbapayLogo: require("../images/mainAmbapayLogo.png"),
  ticketHome: require("./ticketHome.png"),
  mainBG: require("../images/mainBG.png"),
  addWallet: require("../icons/addWallet.png"),
  cashout: require("../icons/cashout.png"),
  request: require("../icons/request.png"),
  characters: require("../images/Characters.png"),
  device: require("../images/Device.png"),
  applePay: require("../icons/applePay.png"),
  cardCheck: require("../icons/cardCheck.png"),
  bill: require("../icons/Bill.png"),
  avatar: require("../icons/avatar.png"),
};

export type IconName = keyof typeof Icons;
